CVE-2019-8674

medium
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

A logic issue was addressed with improved state management. This issue is fixed in iOS 13, Safari 13. Processing maliciously crafted web content may lead to universal cross site scripting.

References

https://security.gentoo.org/glsa/202003-22

https://support.apple.com/HT210606

https://support.apple.com/HT210608

Details

Source: MITRE

Published: 2019-12-18

Updated: 2020-03-15

Type: CWE-79

Risk Information

CVSS v2

Base Score: 4.3

Vector: AV:N/AC:M/Au:N/C:N/I:P/A:N

Impact Score: 2.9

Exploitability Score: 8.6

Severity: MEDIUM

CVSS v3

Base Score: 6.1

Vector: CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N

Impact Score: 2.7

Exploitability Score: 2.8

Severity: MEDIUM

Tenable Plugins

View all (13 total)

IDNameProductFamilySeverity
154614NewStart CGSL CORE 5.05 / MAIN 5.05 : webkitgtk4 Multiple Vulnerabilities (NS-SA-2021-0166)NessusNewStart CGSL Local Security Checks
high
147380NewStart CGSL CORE 5.04 / MAIN 5.04 : webkitgtk4 Multiple Vulnerabilities (NS-SA-2021-0041)NessusNewStart CGSL Local Security Checks
high
143288CentOS 7 : webkitgtk4 (CESA-2020:4035)NessusCentOS Local Security Checks
high
143094RHEL 7 : webkitgtk4 (RHSA-2020:4035)NessusRed Hat Local Security Checks
high
142737Amazon Linux 2 : webkitgtk4 (ALAS-2020-1563)NessusAmazon Linux Local Security Checks
high
141759Scientific Linux Security Update : webkitgtk4 on SL7.x x86_64 (20201001)NessusScientific Linux Local Security Checks
high
141259Oracle Linux 7 : webkitgtk4 (ELSA-2020-4035)NessusOracle Linux Local Security Checks
high
134599GLSA-202003-22 : WebkitGTK+: Multiple vulnerabilitiesNessusGentoo Local Security Checks
high
131535openSUSE Security Update : webkit2gtk3 (openSUSE-2019-2591)NessusSuSE Local Security Checks
high
131533openSUSE Security Update : webkit2gtk3 (openSUSE-2019-2587)NessusSuSE Local Security Checks
high
131302SUSE SLED15 / SLES15 Security Update : webkit2gtk3 (SUSE-SU-2019:3044-1)NessusSuSE Local Security Checks
high
130440FreeBSD : webkit2-gtk3 -- Multiple vulnerabilities (92243b6a-5775-4aea-8727-a938058df5ba)NessusFreeBSD Local Security Checks
high
129587Apple iOS < 13.0 Multiple VulnerabilitiesNessusMobile Devices
critical